SDL_GPUMultisampleState Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

SDL_GPUSampleCount | sample_count
Uint32 | sample_mask
bool | enable_mask
bool | enable_alpha_to_coverage
Uint8 | padding2
Uint8 | padding3

## Detailed Description

A structure specifying the parameters of the graphics pipeline multisample state.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_GPUGraphicsPipelineCreateInfo

Definition at line 1858 of file SDL_gpu.h.

## Field Documentation

## enable_alpha_to_coverage

bool SDL_GPUMultisampleState::enable_alpha_to_coverage

true enables the alpha-to-coverage feature.

Definition at line 1863 of file SDL_gpu.h.

## enable_mask

bool SDL_GPUMultisampleState::enable_mask

Reserved for future use. Must be set to false.

Definition at line 1862 of file SDL_gpu.h.

## padding2

Uint8 SDL_GPUMultisampleState::padding2

Definition at line 1864 of file SDL_gpu.h.

## padding3

Uint8 SDL_GPUMultisampleState::padding3

Definition at line 1865 of file SDL_gpu.h.

## sample_count

SDL_GPUSampleCount SDL_GPUMultisampleState::sample_count

The number of samples to be used in rasterization.

Definition at line 1860 of file SDL_gpu.h.

## sample_mask

Uint32 SDL_GPUMultisampleState::sample_mask

Reserved for future use. Must be set to 0.

Definition at line 1861 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h